%define upstream_name    ExtUtils-Command
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Utilities to replace common UNIX commands in Makefiles etc
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(vars)
BuildArch:  noarch

%description
Thin wrapper around ExtUtils::Command. See the ExtUtils::Command manpage
for a description of available commands.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-3.mga6
+ Revision: 1027144
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.200.0-2.mga6
+ Revision: 966870
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 846990
- update to 1.20

* Sun Oct 19 2014 umeabot <umeabot> 1.180.0-6.mga5
+ Revision: 790662
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.180.0-5.mga5
+ Revision: 739767
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.180.0-4.mga5
+ Revision: 684675
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.180.0-3.mga5
+ Revision: 587921
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 1.180.0-2.mga4
+ Revision: 534219
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 sander85 <sander85> 1.180.0-1.mga4
+ Revision: 476670
- update to 1.18

* Sun Jan 13 2013 umeabot <umeabot> 1.170.0-2.mga3
+ Revision: 367009
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 02 2011 jquelin <jquelin> 1.170.0-1.mga1
+ Revision: 62505
- update to 1.17

* Thu Jan 20 2011 jquelin <jquelin> 1.160.0-1.mga1
+ Revision: 26113
- mageia rebuild
- imported package perl-ExtUtils-Command

